%define upstream_name    Archive-Tar-Wrapper
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    API wrapper around the 'tar' utility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Log::Log4perl)
BuildArch:  noarch

%description
Archive::Tar::Wrapper is an API wrapper around the 'tar' command line
utility. It never stores anything in memory, but works on temporary
directory structures on disk instead. It provides a mapping between the
logical paths in the tarball and the 'real' files in the temporary
directory on disk.

It differs from Archive::Tar in two ways:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 363116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 kharec <kharec> 0.160.0-1.mga3
+ Revision: 254540
- update to 0.16

* Wed Feb 22 2012 kharec <kharec> 0.150.0-1.mga2
+ Revision: 211909
- update to 0.15

* Wed Oct 12 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 154080
- imported package perl-Archive-Tar-Wrapper

